package com.iohao.mmo.equip.entity;

import lombok.AccessLevel;
import lombok.Data;
import lombok.experimental.FieldDefaults;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * @author 唐斌
 * @date 2023-08-16
 * @description: 物品回收站
 */
@Data
@Document
@FieldDefaults(level = AccessLevel.PRIVATE)
public class GoodsGarbage {
    private String id;
    private String type;
    private Object data;
    @Indexed
    private String collectedTime;

    public GoodsGarbage() {
    }

    public GoodsGarbage(String id, String type, Object data, String collectedTime) {
        this.id = id;
        this.type = type;
        this.data = data;
        this.collectedTime = collectedTime;
    }
}
